stages:
  - check_account

#job-with-no-rules:
#  stage: check_account
#  script: echo "This job runs in branch pipelines."
#
#job-with-rules:
#  stage: check_account
#  script: echo "This job runs in merge request pipelines."
#  rules:
#    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
#      changes:
#        - folder1


.check_one: &first
  stage: check_account
  script:
    - echo "***********"
    - echo "** first **"
    - echo "***********"

.check_two: &second
  stage: check_account
  script:
    - echo "************"
    - echo "** secong **"
    - echo "************"

ci-first-folder:
  <<: *first
  variables:
    FOLDER: 'folder1'
  only:
    changes:
      - folder1/**/*
  when: manual

ci-first-folder-mr:
  <<: *first
  variables:
    FOLDER: 'folder1'
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - folder1/**/*


ci-second-folder:
  <<: *second
  variables:
    FOLDER: 'folder2'
  only:
    changes:
      - folder2/**/*
  when: manual

ci-second-folder_mr:
  <<: *second
  variables:
    FOLDER: 'folder2'
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - folder2/**/*